Pular para o conteúdo

/pix/pages/{pageReferenceId}/payments

Testar na referência interativa

GET
/pix/pages/{pageReferenceId}/payments
curl --request GET \
--url https://api.chatfood.app/pix/pages/example/payments \
--header 'Authorization: Bearer <token>'
pageReferenceId
required
string
ProfileReferenceId
string
SchemaId
string format: uuid
SubscriptionTag
string
From
string format: date-time
To
string format: date-time
Page
integer format: int32
PageSize
integer format: int32

OK

Media typeapplication/json
object
items
Array<object>
nullable
object
correlationId
string
nullable
transactionId
string
nullable
endToEndId
string
nullable
valueCents
integer format: int32
paidAt
string format: date-time
profileReferenceId
string
nullable
schemaId
string format: uuid
subscriptionTag
string
nullable
period
string
nullable
subscriptionExpiresAt
string format: date-time
nullable
subscriptionExpiredAt
string format: date-time
nullable
isSubscriptionActive
boolean
page
integer format: int32
pageSize
integer format: int32
totalCount
integer format: int64
totalPages
integer format: int32
hasNextPage
boolean
Examplegenerated
{
"items": [
{
"correlationId": "example",
"transactionId": "example",
"endToEndId": "example",
"valueCents": 1,
"paidAt": "2026-04-15T12:00:00Z",
"profileReferenceId": "example",
"schemaId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"subscriptionTag": "example",
"period": "example",
"subscriptionExpiresAt": "2026-04-15T12:00:00Z",
"subscriptionExpiredAt": "2026-04-15T12:00:00Z"
}
],
"page": 1,
"pageSize": 1,
"totalCount": 1
}

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Unauthorized

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}